@media (max-width: 1440px) {
    .header {
        .header__navigation {
            top: 80px;

            .product__list {
                .product__wrapper {
                    &:not(:last-child) {
                        margin-bottom: 15px;
                    }
                    
                    .product__image {
                        max-width: 35px;
                    }
                }
            }
        }
    }

    .main {
        .section__main {
            .main__info {
                max-width: 900px;
                margin: 0 auto;
            }
        }
    }
}

@media (max-width: 1024px) {
    .header {

        .product__menu {
            display: block;
            background: transparent;
            border: none;
            margin-bottom: 20px;
        }

        .header__navigation {
            padding-left: 15px;
            top: 170px;
            left: -150%;
            transition: 0.4s ease;
            z-index: 5;

            .product__list {
                background-color: $cultured;
                padding: 20px;
                border-radius: 15px;
                -webkit-box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.1);
                -moz-box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.1);
                box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.1);
                column-count: 3;
                
                .product__wrapper {
                    .product__image {
                        max-width: 50px;
                    }

                    .product__name {
                        color: $black;
                    }

                    &:hover {
                        background-color: $cultured;
                        scale: 1;
                    
                        .product__name  {
                            color: $black;
                        }
                    }
                }
            }
        }

        .header__navigation--active {
            left: 0;
        }
    }

    .main {
        .section__main {
            .main__info {
                max-width: 580px;
        
                .block__wrapper {
                    .image__wrapper {
                        margin-right: 0;
    
                        .block__image {
                            width: 80%;
                        }
                    }
                }
            }
        } 
    }

    .footer {
        .footer__wrapper {
            .footer__content {
                .footer__text {
                    font-size: 14px;
                }
    
                .footer__link {
                    font-size: 18px;
                }
            }
        }
    }
}

@media (max-width: 768px) {
    .header {
        .header__main {
            .header__wrapper {
                .header__content {
                    .content {
                        &:hover {
                            scale: 1;
                        }
                    }
                    .header__info {
                        display: none;
                    }
    
                    .header__info--mobile {
                        display: flex;
                    }
                }
            }
        }

        .header__navigation {
            .product__list {
                column-count: 2;
            }
        }
    }

    .main {
        .section__main {
            .main__info {
                max-width: 520px;
            }
        }
        
        .section__products {
            .product__list {
                gap: 20px;
            }
        }
    }

    .footer {
        .footer__wrapper {
            flex-direction: column;
            gap: 30px;

            .footer__content {
                .footer__text {
                    font-size: 16px;
                }
    
                .footer__link {
                    font-size: 20px;
                }
            }
        }
    }
}

@media (max-width: 425px) {
    .header {
        .header__main {
            .header__wrapper {
               .header__logo {
                    display: none;
               }

               .header__logo--mobile {
                    display: flex;
               }
            }
        }

        .product__menu {
            margin-bottom: 10px;
            padding-left: 10px;

            .product__image {
                max-width: 50px;
            }
        }

        .header__navigation {
            padding-left: 10px;
            top: 140px;

            .product__list {
                padding: 10px;

                .product__wrapper {
                    .product__image {
                        max-width: 35px;
                    }
                }
            }

            .product__list--active {
                left: -5px;
            }
        }
    }

    .footer {
        .footer__wrapper {
            .footer__content {
                .footer__text {
                    font-size: 12px;
                }
    
                .footer__link {
                    font-size: 16px;
                }
            }
        }
    }
}

@media (max-width: 375px) {
    body {
        width: 375px;
    } 
}